## Apache Zeta Components Manual :: Docs For Class ezcWorkflowNodeSynchronization

### Workflow::ezcWorkflowNodeSynchronization

### Class ezcWorkflowNodeSynchronization

This node implements the Synchronization (AND-Join) workflow pattern.

The Synchronization workflow pattern synchronizes multiple parallel threads of execution into a single thread of execution.

Workflow execution continues once all threads of execution that are to be synchronized have finished executing (exactly once).

Use Case Example: After the confirmation email has been sent and the shipping process has been completed, the order can be archived.

Incoming nodes: 2..* Outgoing nodes: 1

Source for this file: /Workflow/src/nodes/control_flow/synchronization.php

    ezcWorkflowNode
       |
       --ezcWorkflowNodeMerge
          |
          --ezcWorkflowNodeSynchronization

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowNodeSynchronizingMerge | This node implements the Synchronizing Merge workflow pattern.

### Inherited Constants

From ezcWorkflowNode:
`ezcWorkflowNode::WAITING_FOR_ACTIVATION` | The node is waiting to be activated.
`ezcWorkflowNode::WAITING_FOR_EXECUTION` | The node is activated and waiting to be executed.

### Inherited Member Variables

From ezcWorkflowNodeMerge
protected | `ezcWorkflowNodeMerge::$maxInNodes`
protected | `ezcWorkflowNodeMerge::$minInNodes`
protected | `ezcWorkflowNodeMerge::$state`
From ezcWorkflowNode
protected | `ezcWorkflowNode::$activatedFrom`
protected | `ezcWorkflowNode::$activationState`
protected | `ezcWorkflowNode::$configuration`
protected | `ezcWorkflowNode::$id`
protected | `ezcWorkflowNode::$inNodes`
protected | `ezcWorkflowNode::$internalCall`
protected | `ezcWorkflowNode::$maxOutNodes`
protected | `ezcWorkflowNode::$minOutNodes`
protected | `ezcWorkflowNode::$numInNodes`
protected | `ezcWorkflowNode::$numOutNodes`
protected | `ezcWorkflowNode::$outNodes`
protected | `ezcWorkflowNode::$threadId`

### Inherited Methods

From ezcWorkflowNodeMerge
protected boolean | `ezcWorkflowNodeMerge::doMerge()` Performs the merge by ending the incoming threads and activating the outgoing node.
protected void | `ezcWorkflowNodeMerge::prepareActivate()` Prepares this node for activation.
From ezcWorkflowNode
public ezcWorkflowNode | `ezcWorkflowNode::__construct()` Constructs a new node with the configuration $configuration.
public void | `ezcWorkflowNode::accept()` Reimplementation of accept() calls accept on all out nodes.
protected void | `ezcWorkflowNode::activateNode()` Convenience method for activating an (outgoing) node.
public ezcWorkflowNode | `ezcWorkflowNode::addInNode()` Adds a node to the incoming nodes of this node.
public ezcWorkflowNode | `ezcWorkflowNode::addOutNode()` Adds a node to the outgoing nodes of this node.
public mixed | `ezcWorkflowNode::getConfiguration()` Returns the configuration of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getInNodes()` Returns the incoming nodes of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getOutNodes()` Returns the outgoing nodes of this node.
public boolean | `ezcWorkflowNode::removeInNode()` Removes a node from the incoming nodes of this node.
public boolean | `ezcWorkflowNode::removeOutNode()` Removes a node from the outgoing nodes of this node.
public void | `ezcWorkflowNode::verify()` Checks this node's constraints.

Documentation generated by phpDocumentor 1.4.3